function battle_bai045(npcID) --螳螂


	p=flag.GetBattleValue(12802)
    n=flag.GetBattleValue(12003)
    if n~=3 and p==0 then
		a=battle.GetRndNumber(1,10)
		if a>=1 and a<=5 then
			n=n+1
			flag.SetBattleValue(12003,n)
			id = battle.GetRndPlayer()
			battle.AtkToPlayer(id,1)     --普通攻击
		else
			id = battle.GetRndPlayer()
			battle.SetDamageScale(0.8)
			battle.AtkToPlayer(id,2)   --2号攻击
			flag.SetBattleValue(12003,0)
		end

    else
		id = battle.GetRndPlayer()
		if id==p then
			battle.SetDamageScale(3)
			battle.AtkToPlayer(id,2)     --2号大威力攻击最后被异变的角色
			flag.SetBattleValue(12003,0)
		else
			battle.SetDamageScale(0.8)
			battle.AtkToPlayer(id,2)   --2号攻击
			flag.SetBattleValue(12003,0)
			flag.SetBattleValue(12802,0)
		end
    end
end